// @ts-ignore

/* eslint-disable */
import { request } from 'umi';

export default {
  /** 获取订单流水信息*/
  orderList(data) {
    data.isreport = true;
    return request(`/groupmealorder/api/Order/PostDetail`, {
      method: 'Post',
      data: data,
      // params: { ...params },
      // ...(options || {}),
    });
  },

 /**
   * 查询店铺信息(设备信息)
   */
 srdList(data) {
  return request('/groupmeal/api/shop/alllist', {
    method: 'GET'
  });
},

GetFlowExport(data) {
  return request(`/groupmealorder/api/Order/GetFlowExport`, {
    method: 'Post',
    data: data
    
    // params: { ...params },
    // ...(options || {}),
  });
},
















  /**
   * 查询店铺分类(设备类型)信息
   */
  srdTypeList(data) {
    return request(`/kitchen/api/storetype/list`, {
      method: 'Post',
      data: data,
      // params: { ...params },
      // ...(options || {}),
    });
  },
 

  /**
   * 查询商品信息
   */
  goodsList(data) {
    return request(`/kitchen/api/goodes/list`, {
      method: 'Post',
      data: data,
      // params: { ...params },
      // ...(options || {}),
    });
  },
  /**
   * 查询商品类型
   */
  goodsTypeList(data) {
    return request(`/kitchen/api/goodstype/list`, {
      method: 'Post',
      data: data,
      // params: { ...params },
      // ...(options || {}),
    });
  },
  StartRefund(data) {
    return request(`/kitchen/api/refund/StartOrderRefund`, {
      method: 'Post',
      params: data,
      // params: { ...params },
      // ...(options || {}),
    });
  },
  GetOrderDetails(data) {
    return request(`/kitchen/api/Order/GetOrderDetails`, {
      method: 'Post',
      params: data,
      // params: { ...params },
      // ...(options || {}),
    });
  },


 // 打印小票
  printsmallticket(data) {
    return request(`/kitchen/api/printer/print-small-ticket`, {
      method: 'Post',
      data: data,
      // params: { ...params },
      // ...(options || {}),
    });
  },
};


